1. users [admin]
LeksiGo v2
  • auth
    • login
      POST
    • register
      POST
    • logout
      POST
    • refresh token
      POST
  • child
    • get [parent]
      GET
    • post [parent]
      POST
    • get [insitution]
      GET
    • put [parent]
      PUT
    • delete [parent]
      DELETE
  • users [admin]
    • get
      GET
    • post
      POST
    • show
      GET
    • put
      PUT
    • delete
      DELETE
  • institution
    • get
      GET
    • post [admin]
      POST
    • show
      GET
    • updateStatus
      PATCH
    • get applicants [institution]
      GET
    • apply applicants [institution]
      POST
  • teacher [institution]
    • get
      GET
    • post
      POST
    • put
      PUT
    • updateStatus
      PATCH
  • playground
    • teacher
      • course
        • store
        • get
        • show
        • put
        • active status
      • modul
        • post
        • put
        • active status
        • show
    • student
      • submit answer
  • generate
    • question sugesstion
  1. users [admin]

get

Developing
GET
/users

Request

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.leksigo.com/api/v2/users' \
--header 'Authorization: Bearer {{accessToken}}'
Response Response Example
Internal Server Error
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<title>Error</title>
</head>
<body>
<pre>TypeError: Cannot read properties of undefined (reading &#39;status&#39;)<br> &nbsp; &nbsp;at errorHandling (D:\telkom\penelitian\assisstive\assistive-app-be\src\helpers\errorHandling.js:20:9)<br> &nbsp; &nbsp;at exports.index (D:\telkom\penelitian\assisstive\assistive-app-be\src\controllers\userController.js:20:9)<br> &nbsp; &nbsp;at Layer.handleRequest (D:\telkom\penelitian\assisstive\assistive-app-be\node_modules\router\lib\layer.js:152:17)<br> &nbsp; &nbsp;at next (D:\telkom\penelitian\assisstive\assistive-app-be\node_modules\router\lib\route.js:157:13)<br> &nbsp; &nbsp;at Route.dispatch (D:\telkom\penelitian\assisstive\assistive-app-be\node_modules\router\lib\route.js:117:3)<br> &nbsp; &nbsp;at handle (D:\telkom\penelitian\assisstive\assistive-app-be\node_modules\router\index.js:435:11)<br> &nbsp; &nbsp;at Layer.handleRequest (D:\telkom\penelitian\assisstive\assistive-app-be\node_modules\router\lib\layer.js:152:17)<br> &nbsp; &nbsp;at D:\telkom\penelitian\assisstive\assistive-app-be\node_modules\router\index.js:295:15<br> &nbsp; &nbsp;at processParams (D:\telkom\penelitian\assisstive\assistive-app-be\node_modules\router\index.js:582:12)<br> &nbsp; &nbsp;at next (D:\telkom\penelitian\assisstive\assistive-app-be\node_modules\router\index.js:291:5)</pre>
</body>
</html>
Modified at 2026-07-28 12:45:25
Previous
delete [parent]
Next
post
Built with